summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackware.com>2010-03-21 14:20:16 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 14:19:23 +0200
commit67df1ff63664c4250e7cad51ed658e70c4a21e83 (patch)
tree6211dff2db3fede3624a008835b08a356d89c6f3
parent92231b776587abdd6d4ac52464e7e692d0f82599 (diff)
downloadslackbuilds-67df1ff63664c4250e7cad51ed658e70c4a21e83.tar.gz
slackbuilds-67df1ff63664c4250e7cad51ed658e70c4a21e83.tar.xz
network/znc: Misc buildscript fixes.
-rw-r--r--network/znc/README.SLACKWARE18
-rw-r--r--network/znc/slack-desc6
-rw-r--r--network/znc/znc.SlackBuild7
3 files changed, 8 insertions, 23 deletions
diff --git a/network/znc/README.SLACKWARE b/network/znc/README.SLACKWARE
deleted file mode 100644
index 25e686201d..0000000000
--- a/network/znc/README.SLACKWARE
+++ /dev/null
@@ -1,18 +0,0 @@
-znc README.SLACKWARE
-
-Once the package is installed, you should create your config file using
-znc's own interactive utility; run the following command:
- su - @ZNC_USER@ -c '/usr/bin/znc --makeconf --datadir /etc/znc'
-
-Since znc is configured to run as a nonprivileged user by default in
-this build script, you must choose a listening port higher than 1024.
-
-Once you have answered all the questions, your znc.conf file will be
-located at /etc/znc/configs/znc.conf
-
-It should be noted that by default (if run without any arguments), ZNC
-will look for its configuation file in ~/.znc (which is /etc/znc/.znc
-as suggested by the build script). This is irrelevant if you are using
-the init script supplied with the package, but it might be worth knowing
-just in case.
-
diff --git a/network/znc/slack-desc b/network/znc/slack-desc
index 73aa173012..28b1fad159 100644
--- a/network/znc/slack-desc
+++ b/network/znc/slack-desc
@@ -7,13 +7,13 @@
|-----handy-ruler------------------------------------------------------|
znc: ZNC (an advanced IRC bouncer)
-znc:
+znc:
znc: ZNC will remain connected to an IPv4 or IPv6 IRC server even while you
znc: are offline. You can reattach your client at a later time and catch up
znc: with what happened while you were gone via the history buffer. You can
znc: add additional users under one running process, useful for public shells
znc: that limit background processes. ZNC also supports the dynamic loading
znc: of C++ and Perl modules.
-znc:
+znc:
znc: Homepage: http://en.znc.in/wiki/ZNC
-znc:
+znc:
diff --git a/network/znc/znc.SlackBuild b/network/znc/znc.SlackBuild
index 3b5388be8f..8b92e73a64 100644
--- a/network/znc/znc.SlackBuild
+++ b/network/znc/znc.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh -e
+#!/bin/sh
# Slackware build script for ZNC
@@ -59,6 +59,8 @@ if ! grep -q "^$ZNC_USER:" /etc/passwd; then
exit 1
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -90,6 +92,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -131,4 +134,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}